package org.openxma.addons.ui.table.customizer.caller.xma.client;

import org.eclipse.swt.widgets.Composite;
import at.spardat.xma.session.XMASessionClient;

/**
 * This class implements the client part of CallerComponent.
 *
 */
public class CallerComponent extends CallerComponentGen {

    /**
     * Initializes the CallerComponent. This method is called
     * by the XMA-Runtime.
     *
     * @param session the XMASession, this CallerComponent belongs to.
     */
    public CallerComponent(XMASessionClient session) {
        super (session);
        setMainPage(new CallerPage(this));
    }

    /**
     * Invokes the CallerComponent. This method reads the
     * key-value-pairs of the input, shows the windows
     * of the CallerComponent and returns the output as
     * key-value-pairs. This method is called
     * by the XMA-Runtime.
     *
     * @param parentComposite a composite of the calling page. In most
     *     cases it will be a shell. It my be null.
     */
    public void invoke(Composite parentComposite) {
        //TODO implement invoke here! Change its content to what you need.
        super.invoke(parentComposite);
    }

}
