/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.addons.ui.table.customizer.common;

import java.io.Serializable;

public class ColumnMetaData implements Serializable {
    private static final long serialVersionUID = 1L;

    private String displayText;
    private String attributeName;
    private int index;
    private String typeName;

    public ColumnMetaData(String attributeName, String displayText, int index, String typeName) {
        this.attributeName = attributeName;
        this.displayText = displayText;
        this.index = index;
        this.setTypeName(typeName);
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }
    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }
    public String getAttributeName() {
        return attributeName;
    }
    public void setDisplayText(String displayText) {
        this.displayText = displayText;
    }
    public String getDisplayText() {
        return displayText;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

}
