package org.openxma.addons.ui.table.customizer.common;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class CommonUserModel extends CommonDataModel{

    private static final long serialVersionUID = 1L;
    private String codUser;
    private Integer numMandant;
    private Set<CommonTableModel> tableModels = new HashSet<CommonTableModel>();
    public void setCodUser(String codUser) {
        this.codUser = codUser;
    }
    public String getCodUser() {
        return codUser;
    }
    public void setNumMandant(Integer numMandant) {
        this.numMandant = numMandant;
    }
    public Integer getNumMandant() {
        return numMandant;
    }
    public void setTableModel(CommonTableModel tableModel) {
        if (tableModels.contains(tableModel)) {
            tableModels.remove(tableModel);
        }
        tableModels.add(tableModel);
    }
    public Set<CommonTableModel> getTableModels() {
        return tableModels;
    }

    public CommonTableModel getTableModel(String namTable) {
        Iterator<CommonTableModel> iterator = tableModels.iterator();
        while (iterator.hasNext()) {
            CommonTableModel next = iterator.next();
            if (next.getNamTable().equals(namTable)) {
                return next;
            }
        }
        return null;

    }

}
