package org.openxma.addons.ui.table.customizer.mdl.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.openxma.addons.ui.table.customizer.mdl.dto.TableCustomizerFilterView;

public abstract class TableCustomizerColumnViewGen implements Serializable {
	private static final long serialVersionUID = -1515589651;
	protected List<TableCustomizerFilterView> tableCustomizerFilter;
	protected String oid;
	protected String codOwner;
	protected Integer numMandant;
	protected String fipUser;
	protected Date fipDate;
	protected String namColumn;
	protected String txtColumn;
	protected Integer numSort;
	protected Boolean bolAscending;
	protected Integer numOrder;
	protected Boolean bolVisible;
	protected Integer numDefaultWidth;
	protected Integer numColumnIndex;
	protected BigDecimal ratDefault;
	protected Boolean bolIsStretchColumn;
	protected Integer numDefaultMinWith;
	protected Boolean bolIsResizable;
	protected String codDataType;
	protected Boolean bolAndFilter;
	protected Boolean bolIsNullableFilter;
	protected String txtFormatterPattern;
	protected String tableCustomizerTableOid;
	
	public List<TableCustomizerFilterView> getTableCustomizerFilter() {
        return this.tableCustomizerFilter;
    }
	
	public void setTableCustomizerFilter(List<TableCustomizerFilterView> tableCustomizerFilter) {
        this.tableCustomizerFilter=tableCustomizerFilter;
    }
    
    public void addTableCustomizerFilter(TableCustomizerFilterView tableCustomizerFilter) {
		if (tableCustomizerFilter == null) {
			throw new IllegalArgumentException("parameter 'tableCustomizerFilter' must not be null");
		}
		if (getTableCustomizerFilter() == null) {
			this.tableCustomizerFilter = new ArrayList<TableCustomizerFilterView>();
		}
		this.tableCustomizerFilter.add(tableCustomizerFilter);
	}
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public String getCodOwner() {
        return this.codOwner;
    }
	
	public void setCodOwner(String codOwner) {
        this.codOwner=codOwner;
    }
	
	public Integer getNumMandant() {
        return this.numMandant;
    }
	
	public void setNumMandant(Integer numMandant) {
        this.numMandant=numMandant;
    }
	
	public String getFipUser() {
        return this.fipUser;
    }
	
	public void setFipUser(String fipUser) {
        this.fipUser=fipUser;
    }
	
	public Date getFipDate() {
        return this.fipDate;
    }
	
	public void setFipDate(Date fipDate) {
        this.fipDate=fipDate;
    }
	
	public String getNamColumn() {
        return this.namColumn;
    }
	
	public void setNamColumn(String namColumn) {
        this.namColumn=namColumn;
    }
	
	public String getTxtColumn() {
        return this.txtColumn;
    }
	
	public void setTxtColumn(String txtColumn) {
        this.txtColumn=txtColumn;
    }
	
	public Integer getNumSort() {
        return this.numSort;
    }
	
	public void setNumSort(Integer numSort) {
        this.numSort=numSort;
    }
	
	public Boolean getBolAscending() {
        return this.bolAscending;
    }
	
	public void setBolAscending(Boolean bolAscending) {
        this.bolAscending=bolAscending;
    }
	
	public Integer getNumOrder() {
        return this.numOrder;
    }
	
	public void setNumOrder(Integer numOrder) {
        this.numOrder=numOrder;
    }
	
	public Boolean getBolVisible() {
        return this.bolVisible;
    }
	
	public void setBolVisible(Boolean bolVisible) {
        this.bolVisible=bolVisible;
    }
	
	public Integer getNumDefaultWidth() {
        return this.numDefaultWidth;
    }
	
	public void setNumDefaultWidth(Integer numDefaultWidth) {
        this.numDefaultWidth=numDefaultWidth;
    }
	
	public Integer getNumColumnIndex() {
        return this.numColumnIndex;
    }
	
	public void setNumColumnIndex(Integer numColumnIndex) {
        this.numColumnIndex=numColumnIndex;
    }
	
	public BigDecimal getRatDefault() {
        return this.ratDefault;
    }
	
	public void setRatDefault(BigDecimal ratDefault) {
        this.ratDefault=ratDefault;
    }
	
	public Boolean getBolIsStretchColumn() {
        return this.bolIsStretchColumn;
    }
	
	public void setBolIsStretchColumn(Boolean bolIsStretchColumn) {
        this.bolIsStretchColumn=bolIsStretchColumn;
    }
	
	public Integer getNumDefaultMinWith() {
        return this.numDefaultMinWith;
    }
	
	public void setNumDefaultMinWith(Integer numDefaultMinWith) {
        this.numDefaultMinWith=numDefaultMinWith;
    }
	
	public Boolean getBolIsResizable() {
        return this.bolIsResizable;
    }
	
	public void setBolIsResizable(Boolean bolIsResizable) {
        this.bolIsResizable=bolIsResizable;
    }
	
	public String getCodDataType() {
        return this.codDataType;
    }
	
	public void setCodDataType(String codDataType) {
        this.codDataType=codDataType;
    }
	
	public Boolean getBolAndFilter() {
        return this.bolAndFilter;
    }
	
	public void setBolAndFilter(Boolean bolAndFilter) {
        this.bolAndFilter=bolAndFilter;
    }
	
	public Boolean getBolIsNullableFilter() {
        return this.bolIsNullableFilter;
    }
	
	public void setBolIsNullableFilter(Boolean bolIsNullableFilter) {
        this.bolIsNullableFilter=bolIsNullableFilter;
    }
	
	public String getTxtFormatterPattern() {
        return this.txtFormatterPattern;
    }
	
	public void setTxtFormatterPattern(String txtFormatterPattern) {
        this.txtFormatterPattern=txtFormatterPattern;
    }
	
	public String getTableCustomizerTableOid() {
        return this.tableCustomizerTableOid;
    }
	
	public void setTableCustomizerTableOid(String tableCustomizerTableOid) {
        this.tableCustomizerTableOid=tableCustomizerTableOid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("TableCustomizerColumnView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("codOwner=").append(getCodOwner()).append(",");
        toStringBuilder.append("numMandant=").append(getNumMandant()).append(",");
        toStringBuilder.append("fipUser=").append(getFipUser()).append(",");
        toStringBuilder.append("fipDate=").append(getFipDate()).append(",");
        toStringBuilder.append("namColumn=").append(getNamColumn()).append(",");
        toStringBuilder.append("txtColumn=").append(getTxtColumn()).append(",");
        toStringBuilder.append("numSort=").append(getNumSort()).append(",");
        toStringBuilder.append("bolAscending=").append(getBolAscending()).append(",");
        toStringBuilder.append("numOrder=").append(getNumOrder()).append(",");
        toStringBuilder.append("bolVisible=").append(getBolVisible()).append(",");
        toStringBuilder.append("numDefaultWidth=").append(getNumDefaultWidth()).append(",");
        toStringBuilder.append("numColumnIndex=").append(getNumColumnIndex()).append(",");
        toStringBuilder.append("ratDefault=").append(getRatDefault()).append(",");
        toStringBuilder.append("bolIsStretchColumn=").append(getBolIsStretchColumn()).append(",");
        toStringBuilder.append("numDefaultMinWith=").append(getNumDefaultMinWith()).append(",");
        toStringBuilder.append("bolIsResizable=").append(getBolIsResizable()).append(",");
        toStringBuilder.append("codDataType=").append(getCodDataType()).append(",");
        toStringBuilder.append("bolAndFilter=").append(getBolAndFilter()).append(",");
        toStringBuilder.append("bolIsNullableFilter=").append(getBolIsNullableFilter()).append(",");
        toStringBuilder.append("txtFormatterPattern=").append(getTxtFormatterPattern()).append(",");
        toStringBuilder.append("tableCustomizerTableOid=").append(getTableCustomizerTableOid());
        return toStringBuilder.append("]").toString();
    }
}
