package org.openxma.addons.ui.table.customizer.mdl.model;

import java.math.BigDecimal;
import java.util.Set;
import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerEntity;
import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerFilter;
import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerTable;

public interface TableCustomizerColumnGen extends TableCustomizerEntity  {
	
	String getNamColumn();
	void setNamColumn(String namColumn);
	
	String getTxtColumn();
	void setTxtColumn(String txtColumn);
	
	Integer getNumSort();
	void setNumSort(Integer numSort);
	
	Boolean getBolAscending();
	void setBolAscending(Boolean bolAscending);
	
	Integer getNumOrder();
	void setNumOrder(Integer numOrder);
	
	Boolean getBolVisible();
	void setBolVisible(Boolean bolVisible);
	
	Integer getNumDefaultWidth();
	void setNumDefaultWidth(Integer numDefaultWidth);
	
	Integer getNumColumnIndex();
	void setNumColumnIndex(Integer numColumnIndex);
	
	BigDecimal getRatDefault();
	void setRatDefault(BigDecimal ratDefault);
	
	Boolean getBolIsStretchColumn();
	void setBolIsStretchColumn(Boolean bolIsStretchColumn);
	
	Integer getNumDefaultMinWith();
	void setNumDefaultMinWith(Integer numDefaultMinWith);
	
	Boolean getBolIsResizable();
	void setBolIsResizable(Boolean bolIsResizable);
	
	String getCodDataType();
	void setCodDataType(String codDataType);
	
	Boolean getBolAndFilter();
	void setBolAndFilter(Boolean bolAndFilter);
	
	Boolean getBolIsNullableFilter();
	void setBolIsNullableFilter(Boolean bolIsNullableFilter);
	
	String getTxtFormatterPattern();
	void setTxtFormatterPattern(String txtFormatterPattern);
	
	Set<TableCustomizerFilter> getTableCustomizerFilter();
	boolean hasTableCustomizerFilter();
	void addTableCustomizerFilter(TableCustomizerFilter tableCustomizerFilter);
	void removeTableCustomizerFilter(TableCustomizerFilter tableCustomizerFilter);
	void removeAllTableCustomizerFilter();
	
	TableCustomizerTable getTableCustomizerTable();
	void setTableCustomizerTable(TableCustomizerTable tableCustomizerTable);
}
