package org.openxma.addons.ui.table.customizer.mdl.model.impl;

import java.util.Date;
import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerEntity;

public abstract class TableCustomizerEntityGenImpl implements TableCustomizerEntity {
	protected String oid;
	protected String codOwner;
	protected Integer numMandant;
	protected String fipUser;
	protected Date fipDate;
    
	public String getOid() {
		return this.oid;
	}
	
	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getCodOwner() {
		return this.codOwner;
	}
	
	public void setCodOwner(String codOwner) {
		this.codOwner = codOwner;
	}

	public Integer getNumMandant() {
		return this.numMandant;
	}
	
	public void setNumMandant(Integer numMandant) {
		this.numMandant = numMandant;
	}

	public String getFipUser() {
		return this.fipUser;
	}
	
	public void setFipUser(String fipUser) {
		this.fipUser = fipUser;
	}

	public Date getFipDate() {
		return this.fipDate;
	}
	
	public void setFipDate(Date fipDate) {
		this.fipDate = fipDate;
	}
	
    @Override
    public int hashCode() {
    	final int prime = 31;
		int result = 1;
		result = prime * result + ((getOid() == null) ? 0 : getOid().hashCode());
		return result;
    }

    @Override
    public boolean equals(Object obj) {
    	if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof TableCustomizerEntity)) {
			return false;
		}
		TableCustomizerEntity other = (TableCustomizerEntity) obj;
		if (getOid() == null) {
			if (other.getOid() != null) {
				return false;
			}
		} else if (!getOid().equals(other.getOid())) {
			return false;
		}
		return true;
    }
	
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("TableCustomizerEntity [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("codOwner=").append(getCodOwner()).append(",");
        toStringBuilder.append("numMandant=").append(getNumMandant()).append(",");
        toStringBuilder.append("fipUser=").append(getFipUser()).append(",");
        toStringBuilder.append("fipDate=").append(getFipDate());
        return toStringBuilder.append("]").toString();
    }
}
