package org.openxma.addons.ui.table.customizer.mdl.model.impl;

import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerColumn;
import org.openxma.addons.ui.table.customizer.mdl.model.TableCustomizerFilter;
import org.openxma.addons.ui.table.customizer.mdl.model.impl.TableCustomizerEntityImpl;

public abstract class TableCustomizerFilterGenImpl extends TableCustomizerEntityImpl implements TableCustomizerFilter {
	protected String txtValue;
	protected String codFilterOperator;
	protected TableCustomizerColumn tableCustomizerColumn;
    
	public String getTxtValue() {
		return this.txtValue;
	}
	
	public void setTxtValue(String txtValue) {
		this.txtValue = txtValue;
	}

	public String getCodFilterOperator() {
		return this.codFilterOperator;
	}
	
	public void setCodFilterOperator(String codFilterOperator) {
		this.codFilterOperator = codFilterOperator;
	}

	public TableCustomizerColumn getTableCustomizerColumn() {
		return this.tableCustomizerColumn;
	}
	
	public void setTableCustomizerColumn(TableCustomizerColumn tableCustomizerColumn) {
		if (this.tableCustomizerColumn != tableCustomizerColumn) {
			if (this.tableCustomizerColumn != null) {
				this.tableCustomizerColumn.removeTableCustomizerFilter(this);
			}
			this.tableCustomizerColumn = tableCustomizerColumn;
			if (tableCustomizerColumn != null) {
				tableCustomizerColumn.addTableCustomizerFilter(this);
			}
		}
	}
	
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("TableCustomizerFilter [");
    	toStringBuilder.append(super.toString()).append(",");
        toStringBuilder.append("txtValue=").append(getTxtValue()).append(",");
        toStringBuilder.append("codFilterOperator=").append(getCodFilterOperator());
        return toStringBuilder.append("]").toString();
    }
}
