package org.openxma.addons.ui.table.caller.mdl.model.impl;

import java.math.BigDecimal;
import java.util.Date;
import org.openxma.addons.ui.table.caller.mdl.model.CallerData;

public abstract class CallerDataGenImpl implements CallerData {
	protected String oid;
	protected Date datCaller;
	protected BigDecimal numCaller;
	protected String codCaller;
    
	public String getOid() {
		return this.oid;
	}
	
	public void setOid(String oid) {
		this.oid = oid;
	}

	public Date getDatCaller() {
		return this.datCaller;
	}
	
	public void setDatCaller(Date datCaller) {
		this.datCaller = datCaller;
	}

	public BigDecimal getNumCaller() {
		return this.numCaller;
	}
	
	public void setNumCaller(BigDecimal numCaller) {
		this.numCaller = numCaller;
	}

	public String getCodCaller() {
		return this.codCaller;
	}
	
	public void setCodCaller(String codCaller) {
		this.codCaller = codCaller;
	}
	
    @Override
    public int hashCode() {
    	final int prime = 31;
		int result = 1;
		result = prime * result + ((getOid() == null) ? 0 : getOid().hashCode());
		return result;
    }

    @Override
    public boolean equals(Object obj) {
    	if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof CallerData)) {
			return false;
		}
		CallerData other = (CallerData) obj;
		if (getOid() == null) {
			if (other.getOid() != null) {
				return false;
			}
		} else if (!getOid().equals(other.getOid())) {
			return false;
		}
		return true;
    }
	
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("CallerData [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("datCaller=").append(getDatCaller()).append(",");
        toStringBuilder.append("numCaller=").append(getNumCaller()).append(",");
        toStringBuilder.append("codCaller=").append(getCodCaller());
        return toStringBuilder.append("]").toString();
    }
}
