/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.addons.ui.table.customizer.common;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Image;

/**
 * users may provide own settings by implemting this interface and
 * setting the runtime property <code>addons.ui.table.customizer.UISettingsImpl</code>
 * to the full qualified name of the implemented class
 *
 */
public interface ITableCustomizerUISettings {

    Color getBackground();
    Color getForeground();
    String getTitle();
    Font getFont();
    Image getCustomizerImage();


}
