package org.openxma.addons.ui.table.customizer.mdl.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.openxma.addons.ui.table.customizer.mdl.dto.TableCustomizerColumnView;

public abstract class UserTableViewGen implements Serializable {
	private static final long serialVersionUID = 1043285016;
	protected String codUser;
	protected String fipUser;
	protected Integer numMandant;
	protected String namTable;
	protected List<TableCustomizerColumnView> tableCustomizerColumns;
	
	public String getCodUser() {
        return this.codUser;
    }
	
	public void setCodUser(String codUser) {
        this.codUser=codUser;
    }
	
	public String getFipUser() {
        return this.fipUser;
    }
	
	public void setFipUser(String fipUser) {
        this.fipUser=fipUser;
    }
	
	public Integer getNumMandant() {
        return this.numMandant;
    }
	
	public void setNumMandant(Integer numMandant) {
        this.numMandant=numMandant;
    }
	
	public String getNamTable() {
        return this.namTable;
    }
	
	public void setNamTable(String namTable) {
        this.namTable=namTable;
    }
	
	public List<TableCustomizerColumnView> getTableCustomizerColumns() {
        return this.tableCustomizerColumns;
    }
	
	public void setTableCustomizerColumns(List<TableCustomizerColumnView> tableCustomizerColumns) {
        this.tableCustomizerColumns=tableCustomizerColumns;
    }
    
    public void addTableCustomizerColumns(TableCustomizerColumnView tableCustomizerColumns) {
		if (tableCustomizerColumns == null) {
			throw new IllegalArgumentException("parameter 'tableCustomizerColumns' must not be null");
		}
		if (getTableCustomizerColumns() == null) {
			this.tableCustomizerColumns = new ArrayList<TableCustomizerColumnView>();
		}
		this.tableCustomizerColumns.add(tableCustomizerColumns);
	}
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("UserTableView [");
        toStringBuilder.append("codUser=").append(getCodUser()).append(",");
        toStringBuilder.append("fipUser=").append(getFipUser()).append(",");
        toStringBuilder.append("numMandant=").append(getNumMandant()).append(",");
        toStringBuilder.append("namTable=").append(getNamTable());
        return toStringBuilder.append("]").toString();
    }
}
