/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.addons.ui.table.customizer.mdl.service;

import org.openxma.addons.ui.table.customizer.common.CommonTableModel;
import org.openxma.addons.ui.table.customizer.common.CommonUserModel;
import org.openxma.addons.ui.table.customizer.mdl.dto.TableCustomizerTableView;
import org.openxma.addons.ui.table.customizer.mdl.dto.TableCustomizerUserView;
import org.openxma.addons.ui.table.customizer.mdl.dto.UserTableView;

public interface TableCustomizerService {

    // void appendTableForUser(TableCustomizerTableView tableView,
    // TableCustomizerUserView userView);

    TableCustomizerUserView findUser(String codUser, Integer numMandant);

    TableCustomizerTableView findTableForUser(String codUser, Integer mandant, String tableName);

    UserTableView findTableViewForUser(String codUser, Integer mandant, String tableName);

    //void updateTableDataForUser(UserTableView userTableView);

    CommonUserModel getUserModel(String user, int mandant);

    CommonTableModel getTableModel(String user, int mandant, String fqTableName);

    void persist(CommonTableModel tableModel, String user, int mandant);

}
