package org.openxma.addons.ui.table.customizer.xma.client;

import at.spardat.xma.boot.component.IComponent;
import at.spardat.xma.page.IEmbeddable;

/**
 * This interface defines the public getter and setter
 * for the properties of TableCustomizerComp.
 *
 */
public interface ITableCustomizerComp extends IComponent, IEmbeddable {

    /** The name of the component to use in getComponent() */
    public static final String COMPONENT_NAME = "TableCustomizerComp";

    /**
     * full qualified table name - the name that is unique for a table within an xma application
     */
    public void setFQTableNameProperty(String FQTableNameProperty);

}
